#! -*- coding: utf8 -*-

import time, re, glob, os, sys
import getRoundup

dirdest = "/var/www/facundo/"
def mueve(arch):
    os.rename(arch, os.path.join(dirdest, arch))

def main(verbose, generat):
    errores = []

    # preparamos el log del modulo
    log = []
    def add(*msgs):
        t = " ".join([str(x) for x in msgs])
        log.append(t)
    getRoundup.log = add

    # generamos ambos archivos
    if generat:
        if verbose: print "Generando tickets"
        try:
            getRoundup.main(10)
        except Exception, err:
            errores.append("Tickets mal: %s" % err)

    # borramos los viejos y pusheamos los nuevos
    if not errores:
        try:
            if verbose: print "Moviendo archivos"
            mueve("trafico.png")
            mueve("variables.info")
        except Exception, err:
            errores.append("Mueve mal: %s" % err)

    # enviamos mail con resultad
    cuando = time.strftime("%a %d, %B")

    if verbose:
        print "Terminamos"
        print log
        print errores
        return

    if errores:
        nomarch = time.strftime("log-%Y%m%d.txt")
        a = open(nomarch, "w")
        a.write("\n".join(log) + "\n")
        a.close()
        print "\n".join(errores)


if __name__ == "__main__":
    verbose = False
    generat = True
    if len(sys.argv) > 1:
        if "-v" in sys.argv:
            verbose = True
        if "-n" in sys.argv:
            generat = False
    main(verbose, generat)
